[users] Audacious-broken package

Yury V. Zaytsev yury at shurup.com
Mon Jun 8 10:50:33 CEST 2009


Salut!

On Mon, 2009-06-08 at 08:40 +0200, Niki Kovacs wrote:

> If I build your XMMS SRPM on my system...
> 
> 1) will I have correct UTF-8 support with it?

Actually, the purpose of this *-ru patch is to add a proper ID3 UTF-8
support + ID3 charset autodetection and on-fly recoding to UTF-8 in case
if the ID3s tags are encoded in koi8-ru or cp1251 (which are the legacy
Cyrillic encodings for Linux and Windows respectively). I don't think
you really need it and if it causes problems it can be turned off in the
settings.

> 2) will it be in russian (since I see it's something like xmms-ru)

Not until you run in with LC_ALL=ru_RU.UTF-8 :-) See above.

> 3) will my xmms-plugins dependencies break?

Theoretically it SHOULD stay binary compatible with the other RPMForge
plugins, BUT I have never tried that.

All in all, if I remember correctly you don't really need my XMMS if
you're OK with the versions provided by RPMForge (the point why I even
rebuilt it is explained above), but rather you need to install my
version of FLAC or flac-plugin, because the XMMS-FLAC package on
RPMForge is linked against a newer version of FLAC, than the version
which is provided to the users.

Let me know if you work it out,
 
-- 
Sincerely yours,
Yury V. Zaytsev




More information about the users mailing list